## mono-basic 3.0~pre20130627.4dcc70f

=== build/Makefile ===
thisdir = build
SUBDIRS = 
include ../build/rules.make

all-local install-local test-local run-test-local run-test-ondotnet-local uninstall-local: $(BUILT_FILES)
	@:

clean-local:
	-rm -f $(BUILT_FILES) deps/*


DISTFILES = \
	config-default.make		\
	executable.make			\
	library.make			\
	rules.make			\
	$(PLATFORMS:%=platforms/%.make) $(PROFILES:%=profiles/%.make)

dist-local: dist-default
	$(MKINSTALLDIRS) $(distdir)/deps
