=== vbnc/Makefile ===
thisdir := vbnc
SUBDIRS := cecil vbnc rt

DISTFILES =	\
	License.txt \
	LicenseFileHeader.txt

include ../build/rules.make

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default
