=== debian/watch ===
version=3
http://ftp.novell.com/pub/mono/sources/mono-basic/ mono-basic-([.\d]+)\.tar\.bz2
