## mono-basic 3.8

=== debian/changelog ===
mono-basic (3.8-1) unstable; urgency=medium

  * [2d9eb22] Imported Upstream version 3.8
  * [d58dc67] Delete resources file in clean rule, to prevent FTBFS

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 25 Sep 2014 17:53:17 +0100
