=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,10 @@
 override_dh_clideps:
 	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll
 
+override_dh_clean:
+	rm -f vbnc/vbnc/vbnc.Errors.resources
+	dh_clean
+
 override_dh_auto_test:
 
 %:
