=== vbnc/cecil/symbols/Makefile ===
thisdir := vbnc/cecil/symbols
SUBDIRS := mdb pdb

include ../../../build/rules.make

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default
