=== debian/changelog ===
mono-basic (4.0.1-3) unstable; urgency=medium

  * [bf2e13b] Force a MONO_PATH value, so bootstrap can find libs
  * [e39ab57] Force vbnc.exe to depend on Version.vb (Closes: #916402)

 -- Jo Shields <joshield@microsoft.com>  Tue, 05 Mar 2019 10:23:12 -0500

mono-basic (4.0.1-2) unstable; urgency=medium

  * Team upload.
  * d/watch: point to download.mono-project.com
  * d/copyright: use https for Upstream-Source
  * d/copyright: modernize format link
  * d/control: Vcs-[Git|Browser]: point to salsa
  * d/watch: add repacksuffix
  * create mono-basic-source package (Closes: #912009)
  * bump compat level to 11
  * d/changelog: remove trailing whitespaces
  * d/control: priority extra -> optional

 -- Alexandre Viau <aviau@debian.org>  Sun, 28 Oct 2018 23:00:47 -0400

mono-basic (4.0.1-1) unstable; urgency=medium

  * [a0b2835] Imported Upstream version 4.0.1
  * [66ccc6c] Bump Debhelper compat level to 7
  * [026ba69] We only support VB10 now, so delete old
    packages & shift dependencies around to match

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 09 Sep 2015 11:43:18 +0100
