=== debian/control ===
Source: mono-basic
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 11),
 cli-common-dev (>= 0.8~exp2~),
 mono-devel (>= 3.0)
Standards-Version: 3.9.1
Section: devel
Homepage: http://www.mono-project.com/Visual_Basic
Vcs-Git: https://salsa.debian.org/dotnet-team/mono-basic.git
Vcs-Browser: https://salsa.debian.org/dotnet-team/mono-basic

Package: libmono-microsoft-visualbasic10.0-cil
Breaks: libmono-microsoft-visualbasic11.0-cil
Replaces: libmono-microsoft-visualbasic11.0-cil
Section: libs
Architecture: all
Depends: libmono-cecil-vb0.9-cil (= ${binary:Version}), ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2012 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2010.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-cecil-vb0.9-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2012 Cecil libraries for Mono
 This package contains the Cecil libraries for the Mono Visual Basic library,
 aimed at the specifications / features of the Visual Basic 2012.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-vbnc
Section: devel
Architecture: all
Depends: libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}),
 libmono-accessibility4.0-cil,
 libmono-system-configuration4.0-cil,
 libmono-system-data4.0-cil,
 libmono-system-design4.0-cil,
 libmono-system4.0-cil,
 libmono-system-drawing-design4.0-cil,
 libmono-system-drawing4.0-cil,
 libmono-system-web4.0-cil,
 libmono-system-web-services4.0-cil,
 libmono-system-windows-forms4.0-cil,
 libmono-system-xml4.0-cil,
 ${cli:Depends},
 ${misc:Depends}
Provides: visual-basic-11.0-compiler
Description: Mono Visual Basic Compiler (VB.NET)
 This is the Mono Visual Basic.NET Compiler (vbnc), aimed at the specifications
 / features of the Visual Basic 2005 compiler.
 A platform-independent compiler which produces executable CIL (Common
 Intermediate Language) binaries.
 This compiler targets the CLI (Common Language Infrastructure) 4.5 runtime
 version.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-basic-dbg
Priority: optional
Section: devel
Depends: mono-vbnc (= ${binary:Version}), libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}), libmono-cecil-vb0.9-cil (= ${binary:Version}), ${misc:Depends}
Architecture: all
Description: Mono Visual Basic, debugging symbols
 This package contains debugging symbols of the mono-vbnc and
 libmono-microsoft-visualbasic{8,10,11}.0-cil packages.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-basic-source
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: mono-basic source code
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains an archive of the source code used to build the
 mono-basic packages in Debian.
