=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')
 
 export MONO_SHARED_DIR=$(CURDIR)
+export MONO_PATH=/usr/lib/mono/4.5
 
 DEB_CLI_API_VERSION = 2.99
 
@@ -35,9 +36,18 @@
 
 override_dh_clean:
 	rm -f vbnc/vbnc/vbnc.Errors.resources
+	rm -f source-stamp
 	dh_clean
 
 override_dh_auto_test:
 
+override_dh_auto_configure: source-stamp
+	dh_auto_configure
+
+source: source-stamp
+source-stamp:
+	cd $(DEBIAN_DIR) && tar cJf mono-basic-source.tar.xz --exclude=mono-basic-source.tar.xz -C ../.. $$(cd ..; basename $$(pwd))
+	touch $@
+
 %:
 	dh $@ --with cli
