=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1 \
  https://download.mono-project.com/sources/mono-basic/ mono-basic-([.\d]+)\.tar\.bz2
